<?php
/* Autor...:  */
/* Esquema.: GSS_TipoCambio.xml */
/* Generado: 2020-08-18 04:21:26 */

/* Metodos de acceso a los campos de la tabla GSS_TipoCambio */
abstract class BaseGSS_TipoCambioBN
{
    /* Campos de la tabla */
    private $s_IdMoneda;    // IdMoneda: ( no definido )
    private $s_IdMonedaCambio;    // IdMonedaCambio: ( no definido )
    private $d_IdFechaCambio;    // IdFechaCambio: ( no definido )
    private $i_IdCompania;    // IdCompania: ( no definido )
    private $f_SunatCompra;    // SunatCompra: ( no definido )
    private $f_SunatVenta;    // SunatVenta: ( no definido )
    private $f_TipoCambioCobranza;    // TipoCambioCobranza: ( no definido )
    private $s_Estado;    // Estado: ( no definido )
    private $d_FechaCreacion;    // FechaCreacion: ( no definido )
    private $s_UsuarioCreacion;    // UsuarioCreacion: ( no definido )
    private $d_FechaModificacion;    // FechaModificacion: ( no definido )
    private $s_UsuarioModificacion;    // UsuarioModificacion: ( no definido )

    /* Establece el valor del campo IdMoneda */
    public function setIdMoneda( $s_IdMoneda )
    {
        $this->s_IdMoneda = $s_IdMoneda;
    }

    /* Obtiene el valor del campo IdMoneda */
    public function getIdMoneda()
    {
        return $this->s_IdMoneda;
    }

    /* Establece el valor del campo IdMonedaCambio */
    public function setIdMonedaCambio( $s_IdMonedaCambio )
    {
        $this->s_IdMonedaCambio = $s_IdMonedaCambio;
    }

    /* Obtiene el valor del campo IdMonedaCambio */
    public function getIdMonedaCambio()
    {
        return $this->s_IdMonedaCambio;
    }

    /* Establece el valor del campo IdFechaCambio */
    public function setIdFechaCambio( $d_IdFechaCambio )
    {
        $this->d_IdFechaCambio = $d_IdFechaCambio;
    }

    /* Obtiene el valor del campo IdFechaCambio */
    public function getIdFechaCambio()
    {
        return $this->d_IdFechaCambio;
    }

    /* Establece el valor del campo IdCompania */
    public function setIdCompania( $i_IdCompania )
    {
        $this->i_IdCompania = $i_IdCompania;
    }

    /* Obtiene el valor del campo IdCompania */
    public function getIdCompania()
    {
        return $this->i_IdCompania;
    }

    /* Establece el valor del campo SunatCompra */
    public function setSunatCompra( $f_SunatCompra )
    {
        $this->f_SunatCompra = $f_SunatCompra;
    }

    /* Obtiene el valor del campo SunatCompra */
    public function getSunatCompra()
    {
        return $this->f_SunatCompra;
    }

    /* Establece el valor del campo SunatVenta */
    public function setSunatVenta( $f_SunatVenta )
    {
        $this->f_SunatVenta = $f_SunatVenta;
    }

    /* Obtiene el valor del campo SunatVenta */
    public function getSunatVenta()
    {
        return $this->f_SunatVenta;
    }

    /* Establece el valor del campo TipoCambioCobranza */
    public function setTipoCambioCobranza( $f_TipoCambioCobranza )
    {
        $this->f_TipoCambioCobranza = $f_TipoCambioCobranza;
    }

    /* Obtiene el valor del campo TipoCambioCobranza */
    public function getTipoCambioCobranza()
    {
        return $this->f_TipoCambioCobranza;
    }

    /* Establece el valor del campo Estado */
    public function setEstado( $s_Estado )
    {
        $this->s_Estado = $s_Estado;
    }

    /* Obtiene el valor del campo Estado */
    public function getEstado()
    {
        return $this->s_Estado;
    }

    /* Establece el valor del campo FechaCreacion */
    public function setFechaCreacion( $d_FechaCreacion )
    {
        $this->d_FechaCreacion = $d_FechaCreacion;
    }

    /* Obtiene el valor del campo FechaCreacion */
    public function getFechaCreacion()
    {
        return $this->d_FechaCreacion;
    }

    /* Establece el valor del campo UsuarioCreacion */
    public function setUsuarioCreacion( $s_UsuarioCreacion )
    {
        $this->s_UsuarioCreacion = $s_UsuarioCreacion;
    }

    /* Obtiene el valor del campo UsuarioCreacion */
    public function getUsuarioCreacion()
    {
        return $this->s_UsuarioCreacion;
    }

    /* Establece el valor del campo FechaModificacion */
    public function setFechaModificacion( $d_FechaModificacion )
    {
        $this->d_FechaModificacion = $d_FechaModificacion;
    }

    /* Obtiene el valor del campo FechaModificacion */
    public function getFechaModificacion()
    {
        return $this->d_FechaModificacion;
    }

    /* Establece el valor del campo UsuarioModificacion */
    public function setUsuarioModificacion( $s_UsuarioModificacion )
    {
        $this->s_UsuarioModificacion = $s_UsuarioModificacion;
    }

    /* Obtiene el valor del campo UsuarioModificacion */
    public function getUsuarioModificacion()
    {
        return $this->s_UsuarioModificacion;
    }

    public function getJsonSerialize()
    {
        return 
        [
            'IdMoneda' => $this->getIdMoneda(),
            'IdMonedaCambio' => $this->getIdMonedaCambio(),
            'IdFechaCambio' => $this->getIdFechaCambio(),
            'IdCompania' => $this->getIdCompania(),
            'SunatCompra' => $this->getSunatCompra(),
            'SunatVenta' => $this->getSunatVenta(),
            'TipoCambioCobranza' => $this->getTipoCambioCobranza(),
            'Estado' => $this->getEstado(),
            'FechaCreacion' => $this->getFechaCreacion(),
            'UsuarioCreacion' => $this->getUsuarioCreacion(),
            'FechaModificacion' => $this->getFechaModificacion(),
            'UsuarioModificacion' => $this->getUsuarioModificacion(),
        ];
    }

    public function toArray()
    {
        return $this->processArray( get_object_vars( $this ) ); 
    }

    private function processArray( $array )
    {
        foreach( $array as $key => $value ) 
        {
            if ( is_object( $value ) )
            {
                $array[$key] = $value->toArray();
            }
            if ( is_array( $value ) ) 
            {
                $array[$key] = $this->processArray( $value );
            }
        }
        return $array;
    }

    public function __toString()
    {
        return json_encode( $this->toArray() ); 
    }

    /* Recupera un objeto GSS_TipoCambioBN desde un RecordSet */
    public static function retrieveByRs( $o_GSS_TipoCambioRs )
    {
        $o_GSS_TipoCambioBN = new GSS_TipoCambioBN();
        $o_GSS_TipoCambioBN->setIdMoneda( $o_GSS_TipoCambioRs[ "IdMoneda" ] );
        $o_GSS_TipoCambioBN->setIdMonedaCambio( $o_GSS_TipoCambioRs[ "IdMonedaCambio" ] );
        $o_GSS_TipoCambioBN->setIdFechaCambio( utilTimestamp::getTimestamp( $o_GSS_TipoCambioRs[ "IdFechaCambio" ], "Y-m-d" ) );
        $o_GSS_TipoCambioBN->setIdCompania( ( integer ) $o_GSS_TipoCambioRs[ "IdCompania" ] );
        $o_GSS_TipoCambioBN->setSunatCompra( ( float ) $o_GSS_TipoCambioRs[ "SunatCompra" ] );
        $o_GSS_TipoCambioBN->setSunatVenta( ( float ) $o_GSS_TipoCambioRs[ "SunatVenta" ] );
        $o_GSS_TipoCambioBN->setTipoCambioCobranza( ( float ) $o_GSS_TipoCambioRs[ "TipoCambioCobranza" ] );
        $o_GSS_TipoCambioBN->setEstado( $o_GSS_TipoCambioRs[ "Estado" ] );
        $o_GSS_TipoCambioBN->setFechaCreacion( utilTimestamp::getTimestamp( $o_GSS_TipoCambioRs[ "FechaCreacion" ], "Y-m-d H:i:s" ) );
        $o_GSS_TipoCambioBN->setUsuarioCreacion( $o_GSS_TipoCambioRs[ "UsuarioCreacion" ] );
        $o_GSS_TipoCambioBN->setFechaModificacion( utilTimestamp::getTimestamp( $o_GSS_TipoCambioRs[ "FechaModificacion" ], "Y-m-d H:i:s" ) );
        $o_GSS_TipoCambioBN->setUsuarioModificacion( $o_GSS_TipoCambioRs[ "UsuarioModificacion" ] );
        return $o_GSS_TipoCambioBN;
    }
}
?>